Subject: Re: [PATCH net-next,V2] Add LAN9352 Ethernet Driver

From: Andrew Lunn <[email-masked]>
Date: Fri, 12 Feb 2016 08:20:40 +0100

On Thu, Feb 11, 2016 at 06:18:25PM -0800, Florian Fainelli wrote:
> On 11/02/16 10:58, [email-masked] wrote:
> > This is the initial submission of an ethernet driver for
> > the Microchip LAN9352.
> > 
> > The LAN9352 is a 2-Port 10/100 Managed Ethernet Switch with
> > 16-Bit Non-PCI CPU Interface. The CPU interface includes a basic
> > ethernet controller interface whose virtual phy is connected
> > internally to a 3rd port on the embedded switch.
> > 
> > This driver only operates as a simple ethernet controller
> > on the CPU interface. Since this interface is connected directly
> > to the embedded switch, the result is that traffic can be sent and
> > received on both physical ports.
> 
> If this is an integrated switch, have you considered using the DSA
> subsystem and having this driver just be the Ethernet driver that
> interfaces to your CPU interface, but does not attempt to configure the
> switch in any way?

I actually think switchdev might be the better model. Hard to say. The
datasheet suggests it could be modelled as a three port switch, so DSA
might be appropriate...

      Andrew